edu.sc.seis.sod.subsetter.eventStation

## Class PhaseExists

- java.lang.Object
- - edu.sc.seis.sod.subsetter.eventStation.PhaseExists

- All Implemented Interfaces:
    SodElement, EventStationSubsetter, Subsetter
  Direct Known Subclasses:
    PhaseWithoutInterference

      public class PhaseExists
      extends java.lang.Object
      implements EventStationSubsetter

  sample xml

             <phaseExists>
             <modelName>prem</modelName>
             <phaseName>ttp</phaseName>
         </phaseExists>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `modelName`
    `protected java.lang.String` | `phaseName`
    `protected edu.sc.seis.fissuresUtil.bag.TauPUtil` | `tauPTime`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PhaseExists(org.w3c.dom.Element config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringTree` | `accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.iris.Fissures.network.StationImpl station, CookieJar cookieJar)`
    `edu.sc.seis.TauP.Arrival` | `getRequiredArrival(java.util.List<edu.sc.seis.TauP.Arrival> arrivals)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tauPTime

          protected edu.sc.seis.fissuresUtil.bag.TauPUtil tauPTime

    - #### modelName

          protected java.lang.String modelName

    - #### phaseName

          protected java.lang.String phaseName

  - ### Constructor Detail

    - #### PhaseExists

          public PhaseExists(org.w3c.dom.Element config)
                      throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### accept

          public StringTree accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                   edu.iris.Fissures.network.StationImpl station,
                                   CookieJar cookieJar)
                            throws java.lang.Exception

      Specified by:
        `accept` in interface `EventStationSubsetter`
      Throws:
        `java.lang.Exception`

    - #### getRequiredArrival

          public edu.sc.seis.TauP.Arrival getRequiredArrival(java.util.List<edu.sc.seis.TauP.Arrival> arrivals)